Bug Hunting Session
Bug 33747 - A specific xls file do not open well
Summary: A specific xls file do not open well
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.1 RC1
Hardware: Other All
: medium normal
Assignee: Muthu
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-31 01:22 UTC by Damien Dussouillez
Modified: 2011-12-15 02:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
The xls file which do not open well in libreoffice (10.00 KB, application/vnd.ms-excel)
2011-01-31 01:22 UTC, Damien Dussouillez
Details
A phpexcel generated file (11.00 KB, application/vnd.ms-excel)
2011-02-21 05:25 UTC, Damien Dussouillez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Damien Dussouillez 2011-01-31 01:22:13 UTC
Created attachment 42737 [details]
The xls file which do not open well in libreoffice

I have a xls file which is not well opened by LibreOffice.
The file is opened but all is white and it seems there is only one huge row.
In fact if you use the arrow keys on keyboard, you can see the values correctly in the top result line but the spreadsheet is white.
I have attached the xls file.
If i open the xls file, save it as ods, close the file and open the ods file, every thing is ok.
Comment 1 Damien Dussouillez 2011-01-31 01:27:00 UTC
This file is well opened in OpenOffice 3.0 (i didn't check in other cersions)
Comment 2 Muthu 2011-01-31 08:37:56 UTC
Confirmed. I'll pick this up.
Comment 3 Damien Dussouillez 2011-02-21 05:25:04 UTC
Created attachment 43598 [details]
A phpexcel generated file
Comment 4 Damien Dussouillez 2011-02-21 05:28:59 UTC
(In reply to comment #3)
> Created an attachment (id=43598) [details]
> A phpexcel generated file

This file was created by PHPExcel in a web application. 
Same problem as before i think. 
I tested it in 
LibreOffice 3.3.1 
OOO330m19 (Build:8)
tag libreoffice-3.3.1.2
Comment 5 Muthu 2011-12-15 02:52:03 UTC
After digging, I realized this could have been a good easy hack :(
I have fixed it (in master) nevertheless.

Commit: http://cgit.freedesktop.org/libreoffice/core/commit/?id=9dab9a26aeaeeaabcef3f4900597ca57e7411a2d